/* indent:4  tabsize:8  font:fixed-width */

/*---------------------------------------------------------------------------
|----------------------------------------------------------------------------
|
|    Klondike : GameModule
|
|    Klondike game controller.
|
|
|  CREDITS
|
|    Gary Ritchie<gary@uaneuro.uah.ualberta.ca>
|        -- conversion to dynamic loading, minor tweaking
|
|    Michael McCulloch<michael@hsv.tybrin.com>
|        -- preferences, artwork
|
|    Blake Stone<bstone@acs.ucalgary.ca>
|        -- original concept and implementation
|
|----------------------------------------------------------------------------
\---------------------------------------------------------------------------*/


#import <AppKit/AppKit.h>
#import <Solitaire/GameModule.h>

@class CardPile;
@class CardPileView;

#define IBOutlet


@interface Klondike : GameModule
{
    IBOutlet CardPileView* 	drawPileView;
    IBOutlet CardPileView* 	discardPileView;

    IBOutlet CardPileView* 	gamePileView1;
    IBOutlet CardPileView* 	gamePileView2;
    IBOutlet CardPileView* 	gamePileView3;
    IBOutlet CardPileView* 	gamePileView4;
    IBOutlet CardPileView* 	gamePileView5;
    IBOutlet CardPileView* 	gamePileView6;
    IBOutlet CardPileView* 	gamePileView7;

    IBOutlet CardPileView* 	suitPileView1;
    IBOutlet CardPileView* 	suitPileView2;
    IBOutlet CardPileView* 	suitPileView3;
    IBOutlet CardPileView* 	suitPileView4;
    
    CardPile* 		recycleCardPile;
    
    id 				suitPileDelegate;
    id 				drawPileDelegate;
    id 				gamePileDelegate;
    id 				discardPileDelegate;

    CardPile* 		prevDeck;
}

/*" Our single instance "*/
+ (Klondike*) sharedInstance;

/*" Initialization/deallocation "*/
- initFromBundle:(NSBundle*)aBundle withName:(NSString*)name;

- (void) setupGame:(BOOL)redeal;

@end

