/* indent:4  tabsize:8  font:fixed-width */

/*--------------------------------------------------------------------------
|- -------------------------------------------------------------------------
|
|	GameCardPileDelegate : NSObject
|
|	An instance of this class acts as a delegate for messages from 
|	theGame piles in the Pyramid solitaire game.  The game piles are 
|	the piles making up the pyramid.
| --------------------------------------------------------------------------
\--------------------------------------------------------------------------*/

#import <AppKit/AppKit.h>

@class CardPileView;
@class CardPile;
@class Card;


@interface GameCardPileDelegate : NSObject
{
    CardPileView* discardCardPileViewL;	/* left pile containing cards adding to 13 */
    CardPileView* discardCardPileViewR;	/* right pile containing cards adding to 13 */
}


/*----------------------------------------------------------------------------
|
|	Delegation setting methods.
|
\---------------------------------------------------------------------------*/

- (void) setDiscardLeft:(CardPileView*)left discardRight:(CardPileView*)right;

/*----------------------------------------------------------------------------
|
|	CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- (BOOL) draggedPile:(CardPile*)aCardPile from:(CardPileView*)gameCardPileView;
- (void) removedPile:(CardPile*)aCardPile from:(CardPileView*)aCardPileView;

- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)gameCardPileView;
- (void) acceptPile:(CardPile*)aCardPile in:(CardPileView*)gameCardPileView;
- (void) doubleClickedCard:(Card*)aCard in:(CardPileView*)aCardPileView;

@end

