/* indent:4  tabsize:8  font:fixed-width */

/*--------------------------------------------------------------------------
|---------------------------------------------------------------------------
|
|	StockCardPileDelegate : NSObject
|
|	An instance of this class acts as a delegate for messages from the 
|	Stock Pile in the Pyramid solitaire game.
| --------------------------------------------------------------------------
\--------------------------------------------------------------------------*/

#import <AppKit/AppKit.h>

@class CardPileView;
@class CardPile;
@class Card;


@interface StockCardPileDelegate : NSObject
{
    CardPileView* 	discardCardPileViewL;	/* left pile containing cards that add to 13 */
    CardPileView* 	discardCardPileViewR;	/* right pile containing cards adding to 13 */
    CardPileView* 	wasteCardPileView;	/* the wastepile */
    id 				alertPanel;
}

/*----------------------------------------------------------------------------
|
|	Delegate-setting methods
|
\---------------------------------------------------------------------------*/

- (void) setDiscardLeft:(CardPileView*)left discardRight:(CardPileView*)right waste:(CardPileView*)waste;

/*----------------------------------------------------------------------------
|
|	CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- (void) clickedCard:(Card*)aCard in:(CardPileView*)stockCardPileView;
- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)stockCardPileView;

@end

