/* indent:4  tabsize:8  font:fixed-width */

/*---------------------------------------------------------------------------
|----------------------------------------------------------------------------
|
|    Tenpile:GameModule
|
|    Tenpile Solitaire module.
|
|    CREDITS
|
|    Gary Ritchie<gary@uaneuro.uah.ualberta.ca>
|        -- design, implementation, documentation
|
|----------------------------------------------------------------------------
\---------------------------------------------------------------------------*/


#import <AppKit/AppKit.h>
#import <Solitaire/GameModule.h>

@class CardPileView;
@class CardPile;

#define IBOutlet


@interface Tenpile:GameModule
{
    IBOutlet CardPileView* gamePileView1;
    IBOutlet CardPileView* gamePileView2;
    IBOutlet CardPileView* gamePileView3;
    IBOutlet CardPileView* gamePileView4;
    IBOutlet CardPileView* gamePileView5;
    IBOutlet CardPileView* gamePileView6;
    IBOutlet CardPileView* gamePileView7;
    IBOutlet CardPileView* gamePileView8;
    IBOutlet CardPileView* gamePileView9;
    IBOutlet CardPileView* gamePileView10;

    IBOutlet CardPileView* tempPileView1;
    IBOutlet CardPileView* tempPileView2;
    IBOutlet CardPileView* tempPileView3;
    IBOutlet CardPileView* tempPileView4;

    IBOutlet CardPileView* suitPileView1;
    IBOutlet CardPileView* suitPileView2;
    IBOutlet CardPileView* suitPileView3;
    IBOutlet CardPileView* suitPileView4;

    id 			suitPileDelegate;
    id 			tempPileDelegate;
    id 			gamePileDelegate;

    CardPile* 	drawCardPile;
    CardPile* 	prevDeck;
}

/*" Our single instance "*/
+ (Tenpile*) sharedInstance;

/*" Initialization/deallocation "*/
- initFromBundle:(NSBundle*)aBundle withName:(NSString*)name;

/*" Game specific "*/    
- (void) setupGame:(BOOL)redeal;

@end
